function enable(force, recipe)
	if force.recipes[recipe] ~= nil then
		force.recipes[recipe].enabled = true
	end
end

for _,force in pairs(game.forces) do
	force.reset_technologies()
	force.reset_recipes()
	
	if force.technologies["sulfur-processing"].researched then
		enable(force, "crude-oil-desulphurization")
	end
	if force.technologies["fluid-handling"].researched then
		enable(force, "fill-water-barrel")
		enable(force, "empty-water-barrel")
		enable(force, "fill-light-oil-barrel")
		enable(force, "empty-light-oil-barrel")
		enable(force, "fill-heavy-oil-barrel")
		enable(force, "empty-heavy-oil-barrel")
		enable(force, "fill-petroleum-gas-barrel")
		enable(force, "empty-petroleum-gas-barrel")
		enable(force, "fill-lubricant-barrel")
		enable(force, "empty-lubricant-barrel")
		enable(force, "fill-sulfuric-acid-barrel")
		enable(force, "empty-sulfuric-acid-barrel")
		enable(force, "fill-sulfur-trioxide-barrel")
		enable(force, "empty-sulfur-trioxide-barrel")
		enable(force, "fill-disulfuric-acid-barrel")
		enable(force, "empty-disulfuric-acid-barrel")
	end
end