function enable(force, recipe)
	if force.recipes[recipe] ~= nil then
		force.recipes[recipe].enabled = true
	end
end

for _,force in pairs(game.forces) do
	force.reset_technologies()
	force.reset_recipes()
	
	if force.technologies["fluid-handling"].researched then
		enable(force, "fill-methanol-barrel")
		enable(force, "fill-methylhydrazine-barrel")
		enable(force, "fill-dimethylhydrazine-barrel")
		enable(force, "empty-methanol-barrel")
		enable(force, "empty-methylhydrazine-barrel")
		enable(force, "empty-dimethylhydrazine-barrel")
	end
end