fluid = function(name, subgroup, order)
	data.raw.fluid[name].subgroup = subgroup
	data.raw.fluid[name].order = order
end
item = function(name, subgroup, order)
	data.raw.item[name].subgroup = subgroup
	data.raw.item[name].order = order
end
recipe = function(name, subgroup, order)
	data.raw.recipe[name].subgroup = subgroup
	data.raw.recipe[name].order = order
end

data:extend({
  {
	type = "item-group",
	name = "chemistry",
	icon = "__N.Tech-Chemistry__/graphics/icons/chemistry-64.png",
	inventory_order = "d",
	order = "d"
  },
  {
	type = "item-subgroup",
	name = "solids",
	group = "chemistry",
	order = "a"
  },
  {
	type = "item-subgroup",
	name = "petrochemistry",
	group = "chemistry",
	order = "b"
  },
  {
	type = "item-subgroup",
	name = "basic-gas-processing",
	group = "chemistry",
	order = "d"
  },
  {
	type = "item-subgroup",
	name = "organics",
	group = "chemistry",
	order = "e"
  },
  
  -- fluid tab subgroups
  --[[{
    type = "item-subgroup",
    name = "gas",
    group = "fluids",
    order = "b"
  },
  {
    type = "item-subgroup",
    name = "sulfuric",
    group = "fluids",
    order = "c"
  },
  {
    type = "item-subgroup",
    name = "organic",
    group = "fluids",
    order = "d"
  }]]
})
--data.raw["item-subgroup"]["barrel"].group = "chemistry"
--data.raw["item-subgroup"]["barrel"].order = "z"
if Config.SulfurProcessingChain then
	data:extend({
	  {
		type = "item-subgroup",
		name = "sulfur-processing",
		group = "chemistry",
		order = "c"
	  }
	})
	recipe("sulfuric-acid", "sulfur-processing", "c[sulfuric-acid]")
end

--[[fluid("water", "fluid", "a[raw-fluid]-a")
fluid("crude-oil", "fluid", "a[raw-fluid]-b")
fluid("heavy-oil", "fluid", "a[raw-fluid]-c")
fluid("light-oil", "fluid", "a[raw-fluid]-d")
fluid("petroleum-gas", "fluid", "a[raw-fluid]-e")
fluid("lubricant", "fluid", "a[raw-fluid]-f")
fluid("sulfuric-acid", "fluid", "a[raw-fluid]-o")

if data.raw.fluid["lava"] then fluid("lava", "fluid", "a[raw-fluid]-g") end
if data.raw.fluid["molten-soldering-tin"] then fluid("molten-soldering-tin", "fluid", "a[raw-fluid]-h") end]]

recipe("basic-oil-processing", "petrochemistry", "a-a")
recipe("advanced-oil-processing", "petrochemistry", "a-b")

recipe("heavy-oil-cracking", "petrochemistry", "b-a")
recipe("light-oil-cracking", "petrochemistry", "b-b")

recipe("solid-fuel-from-heavy-oil", "petrochemistry", "c-a")
recipe("solid-fuel-from-light-oil", "petrochemistry", "c-b")
recipe("solid-fuel-from-petroleum-gas", "petrochemistry", "c-c")

recipe("lubricant", "petrochemistry", "d-a")

if data.raw.recipe["diesel-fuel"] then
	recipe("diesel-fuel", "petrochemistry", "b-d")
end